> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trynormalize.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bulk job status

> Returns job status, progress, and output_file_url when DONE.



## OpenAPI

````yaml GET /api/v1/bulk/jobs/{id}
openapi: 3.0.3
info:
  title: Normalize API
  version: 1.0.0
  description: >-
    Job title normalization API. Convert natural language job descriptions to
    canonical titles or boolean search strings.
servers:
  - url: https://trynormalize.com
security:
  - bearerAuth: []
paths:
  /api/v1/bulk/jobs/{id}:
    get:
      summary: Get bulk job status
      description: Returns job status, progress, and output_file_url when DONE.
      operationId: getBulkJob
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Job details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkJobStatus'
        '401':
          description: Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    BulkJobStatus:
      type: object
      required:
        - id
        - status
        - total_rows
        - processed_rows
        - created_at
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - PENDING
            - RUNNING
            - DONE
            - FAILED
        total_rows:
          type: integer
        processed_rows:
          type: integer
        output_file_url:
          type: string
          description: Blob URL when DONE
        created_at:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - details
            - request_id
          properties:
            code:
              type: string
              enum:
                - invalid_request
                - limits_exceeded
                - invalid_json
                - invalid_input_format
                - authentication_failed
                - invalid_api_key
                - quota_exceeded
                - plan_restricted_feature
                - resource_not_found
                - bulk_job_conflict
                - parsing_failed
                - ambiguous_mapping
                - rate_limited
                - public_try_exceeded
                - internal_error
                - llm_error
                - database_error
            message:
              type: string
            details:
              type: object
              additionalProperties: true
            request_id:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key from the dashboard. Pass as `Authorization: Bearer <key>`.'

````